package md

type EnterpriseListReq struct {
	Limit int    `json:"limit"`
	Page  int    `json:"page" `
	Name  string `json:"name" `
}

type CentralKitchenForSchoolInfoResp struct {
	Name                         string `json:"name" label:"名称"`
	Memo                         string `json:"memo" label:"备注"`
	Kind                         int32  `json:"kind" label:"种类(1:央厨-学校 2:央厨-工厂 3:自营-学校 4:自营-工厂)"`
	State                        int32  `json:"state" label:"状态(1:正常 2:冻结)"`
	IsOpenTeacherReportMeal      int    `json:"is_open_teacher_report_meal" label:"教师报餐(1:开启 2:关闭)"`
	IsOpenReportMealForDay       int    `json:"is_open_report_meal_for_day" label:"开启按天报餐(1:开启 2:关闭)"`
	IsOpenReportMealForMonth     int    `json:"is_open_report_meal_for_month" label:"开启按月报餐(1:开启 2:关闭)"`
	IsOpenReportMealForSemester  int    `json:"is_open_report_meal_for_semester" label:"开启按学期报餐(1:开启 2:关闭)"`
	IsOpenBreakfast              int    `json:"is_open_breakfast" label:"是否开启早餐(1:开启 0:关闭)"`
	IsOpenLunch                  int    `json:"is_open_lunch" label:"是否开启午餐(1:开启 0:关闭)"`
	IsOpenDinner                 int    `json:"is_open_dinner" label:"是否开启晚餐(1:开启 0:关闭)"`
	BreakfastUnitPrice           string `json:"breakfast_unit_price" label:"早餐-单价"`
	BreakfastUnitPriceForTeacher string `json:"breakfast_unit_price_for_teacher" label:"教师-早餐-单价"`
	LunchUnitPrice               string `json:"lunch_unit_price" label:"午餐-单价"`
	LunchUnitPriceForTeacher     string `json:"lunch_unit_price_for_teacher" label:"教师-午餐-单价"`
	DinnerUnitPrice              string `json:"dinner_unit_price" label:"晚餐-单价"`
	DinnerUnitPriceForTeacher    string `json:"dinner_unit_price_for_teacher" label:"教师-晚餐-单价"`
}

type NursingHomePackageInfoResp struct {
	Name                     string `json:"name" label:"名称"`
	Memo                     string `json:"memo" label:"备注"`
	Kind                     int32  `json:"kind" label:"种类(1:央厨-学校 2:央厨-工厂 3:自营-学校 4:自营-工厂)"`
	State                    int32  `json:"state" label:"状态(1:正常 2:冻结)"`
	IsOpenReportMealForDay   int    `json:"is_open_report_meal_for_day" label:"开启按天报餐(1:开启 2:关闭)"`
	IsOpenReportMealForMonth int    `json:"is_open_report_meal_for_month" label:"开启按月报餐(1:开启 2:关闭)"`
	IsOpenReportMealForYear  int    `json:"is_open_report_meal_for_year" label:"开启按年报餐(1:开启 2:关闭)"`
	IsOpenBreakfast          int    `json:"is_open_breakfast" label:"是否开启早餐(1:开启 0:关闭)"`
	IsOpenLunch              int    `json:"is_open_lunch" label:"是否开启午餐(1:开启 0:关闭)"`
	IsOpenDinner             int    `json:"is_open_dinner" label:"是否开启晚餐(1:开启 0:关闭)"`
	BreakfastUnitPrice       string `json:"breakfast_unit_price" label:"早餐-单价"`
	LunchUnitPrice           string `json:"lunch_unit_price" label:"午餐-单价"`
	DinnerUnitPrice          string `json:"dinner_unit_price" label:"晚餐-单价"`
}

type FindCentralKitchenForSchoolPackageReq struct {
	PackageId    int    `json:"package_id" label:"套餐ID"`
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Year         string `json:"year" binding:"required" label:"年份"`
	Month        string `json:"month" binding:"required" label:"月份"`
	StartDate    string `json:"start_date" binding:"required" label:"开始时间"`
	EndDate      string `json:"end_date" binding:"required" label:"截止时间"`
	DateList     []struct {
		Date            string `json:"date"`
		IsOpenBreakfast int32  `json:"is_open_breakfast"`
		IsOpenLunch     int32  `json:"is_open_lunch"`
		IsOpenDinner    int32  `json:"is_open_dinner"`
		IsOpenReplenish int32  `json:"is_open_replenish"`
	} `json:"date_list" binding:"required" label:"日期"`
}

type FindNursingHomePackageReq struct {
	PackageId    int    `json:"package_id" label:"套餐ID"`
	EnterpriseId int    `json:"enterprise_id" binding:"required" label:"企业id"`
	Year         string `json:"year" binding:"required" label:"年份"`
	Month        string `json:"month" binding:"required" label:"月份"`
	StartDate    string `json:"start_date" binding:"required" label:"开始时间"`
	EndDate      string `json:"end_date" binding:"required" label:"截止时间"`
	DateList     []struct {
		Date            string `json:"date"`
		IsOpenBreakfast int32  `json:"is_open_breakfast"`
		IsOpenLunch     int32  `json:"is_open_lunch"`
		IsOpenDinner    int32  `json:"is_open_dinner"`
		IsOpenReplenish int32  `json:"is_open_replenish"`
	} `json:"date_list" binding:"required" label:"日期"`
}
