package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"reflect"
	"xorm.io/xorm"
)

type CentralKitchenForSchoolPackageOrdForReserve struct {
	Db         *xorm.Engine `json:"db"`
	OutTradeNo string       `json:"out_trade_no"`
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) Set(outTradeNo string) { // set方法
	centralKitchenForSchoolPackageOrdForReserveDb.Db = Db
	centralKitchenForSchoolPackageOrdForReserveDb.OutTradeNo = outTradeNo
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) GetCentralKitchenForSchoolPackageOrdForReserveById(id int) (m *model.CentralKitchenForSchoolPackageOrdForReserve, err error) {
	m = new(model.CentralKitchenForSchoolPackageOrdForReserve)
	has, err := centralKitchenForSchoolPackageOrdForReserveDb.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) GetCentralKitchenForSchoolPackageOrdForReserve() (m *model.CentralKitchenForSchoolPackageOrdForReserve, err error) {
	m = new(model.CentralKitchenForSchoolPackageOrdForReserve)
	has, err := centralKitchenForSchoolPackageOrdForReserveDb.Db.Where("out_trade_no =?", centralKitchenForSchoolPackageOrdForReserveDb.OutTradeNo).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) CentralKitchenForSchoolPackageOrdForReserveInsert(m *model.CentralKitchenForSchoolPackageOrdForReserve) (int, error) {
	_, err := centralKitchenForSchoolPackageOrdForReserveDb.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) CentralKitchenForSchoolPackageOrdForReserveInsertBySession(session *xorm.Session, m *model.CentralKitchenForSchoolPackageOrdForReserve) (int, error) {
	_, err := session.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) BatchAddCentralKitchenForSchoolPackageOrdForReserves(mm []*model.CentralKitchenForSchoolPackageOrdForReserve) (int64, error) {
	affected, err := centralKitchenForSchoolPackageOrdForReserveDb.Db.Insert(mm)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) CentralKitchenForSchoolPackageOrdForReserveDeleteById(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return Db.In("id", id).Delete(model.CentralKitchenForSchoolPackageOrdForReserve{})
	} else {
		return Db.Where("id = ?", id).Delete(model.CentralKitchenForSchoolPackageOrdForReserve{})
	}
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) CentralKitchenForSchoolPackageOrdForReserveDelete() (int64, error) {
	return Db.Where("out_trade_no = ?", centralKitchenForSchoolPackageOrdForReserveDb.OutTradeNo).Delete(model.CentralKitchenForSchoolPackageOrdForReserve{})
}

func (centralKitchenForSchoolPackageOrdForReserveDb *CentralKitchenForSchoolPackageOrdForReserve) CentralKitchenForSchoolPackageOrdForReserveUpdate(m *model.CentralKitchenForSchoolPackageOrdForReserve, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = centralKitchenForSchoolPackageOrdForReserveDb.Db.Where("out_trade_no=?", centralKitchenForSchoolPackageOrdForReserveDb.OutTradeNo).Cols(forceColums...).Update(m)
	} else {
		affected, err = centralKitchenForSchoolPackageOrdForReserveDb.Db.Where("out_trade_no=?", centralKitchenForSchoolPackageOrdForReserveDb.OutTradeNo).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

type CentralKitchenForSchoolPackageOrdForReserveWithUserIdentity struct {
	model.CentralKitchenForSchoolPackageOrdForReserve `xorm:"extends"`
	model.CentralKitchenForSchoolPackageOrd           `xorm:"extends"`
	model.UserIdentity                                `xorm:"extends"`
	model.Enterprise                                  `xorm:"extends"`
	model.User                                        `xorm:"extends"`
	model.ClassWithUser                               `xorm:"extends"`
	model.Class                                       `xorm:"extends"`
	model.Grade                                       `xorm:"extends"`
}

func (CentralKitchenForSchoolPackageOrdForReserveWithUserIdentity) TableName() string {
	return "central_kitchen_for_school_package_ord_for_reserve"
}
